/****************************************************************
* 插件功能: 自定义 HTTP Header 字段.                            *
*****************************************************************/

/*
配置项说明:
Match-Host: 匹配域名/主机名称, 支持通配符, 必选.
Match-Path: 匹配用户请求地址, 仅支持正则表达式, 可选.
Set-Header: 设置一个 HTTP 头字段, 无则增加/有则修改, 可选.
Append-header: 新增一个 HTTP 头字段, 可选.
Modify-Header: 修改一个已经存在的 HTTP 头字段, 可选.
Delete-Header: 删除一个已经存在的 HTTP 头字段, 可选.
*/

/*
响应端.
*/
[Response]

/*
匹配访问域名 888.com 或 www.888.com, 
在响应头中设定 HSTS - HTTP Strict Transport Security 字段.
注: 采用此方法会强制浏览器用 HTTPS 访问网站, 有效期为1年=31536000秒.
*/
Match-Host-1    =888.com; www.888.com
Set-Header-1    =Strict-Transport-Security: max-age=31536000; includeSubdomains; preload

/*
按序号 2, 3, 4,
允许增加其它自定义配置.
*/
Match-Host-2    =
Set-Header-2    =

/*
; 请求端.
*/
[Request]

/*
匹配访问域名 www.111.com,
经过此插件后, 转换成 www.222.com 域名后提交到对应源站.
注: 需在【主机管理】中额外增加 www.222.com 域名和源站IP设置.
*/
Match-Host-1    =www.111.com
Set-Header-1    =Host: www.222.com

/*
按序号 2, 3, 4,
允许增加其它自定义配置.
*/
Match-Host-2    =
Set-Header-2    =
